# linkerd-multicluster-link

A helm chart containing the resources to enable mirroring
of services from a remote cluster.

Warning: The purpose of this chart is just to support the `linkerd
multicluster link` CLI command, which also produces the
`cluster-credentials` secret and the Link CR, which are not found in this
chart. Therefore this chart is not a replacement for that command, and
shouldn't be used as-is unless you really know what you're doing ;-)

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square)

![AppVersion: edge-XX.X.X](https://img.shields.io/badge/AppVersion-edge--XX.X.X-informational?style=flat-square)

## Requirements

Kubernetes: `>=1.16.0-0`

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| controllerImage | string | `"cr.l5d.io/linkerd/controller"` | Docker image for the Service mirror component (uses the Linkerd controller image) |
| controllerImageVersion | string | `"linkerdVersionValue"` | Tag for the Service Mirror container Docker image |
| gateway.probe.port | int | `4191` | The port used for liveliness probing |
| logLevel | string | `"info"` | Log level for the Multicluster components |
| namespace | string | `"linkerd-multicluster"` | Service Mirror component namespace |
| serviceMirrorRetryLimit | int | `3` | Number of times update from the remote cluster is allowed to be requeued (retried) |
| serviceMirrorUID | int | `2103` | User id under which the Service Mirror shall be ran |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.4.0](https://github.com/norwoodj/helm-docs/releases/v1.4.0)
